<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironmentConfig..::.RunRecovery Field
DatabaseEnvironmentConfig Class See Also

If true, normal recovery will be run on this environment before opening it for normal use.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public bool RunRecovery

Visual Basic (Declaration)

    Public RunRecovery As Boolean

Visual C++

    public:
    bool RunRecovery

# Remarks

If true, the Create and UseTxns must also be set, because the regions will be removed and re-created, and transactions are required for application recovery.

# See Also

DatabaseEnvironmentConfig Class
BerkeleyDB Namespace